# Getting help with gptstudio

Thanks for using gptstudio! We are eager and excited to help. Thank you for trying out our package!

Before filing an issue, there are a few places to explore and pieces to put together to make the process as smooth as possible. 

## Make a reprex

Start by making a minimal **repr**oducible **ex**ample using the  [reprex](https://reprex.tidyverse.org/) package. 
If you haven't heard of or used reprex before, you're in for a treat! 
Seriously, reprex will make all of your R-question-asking endeavors easier (which is a pretty insane ROI for the five to ten minutes it'll take you to learn what it's all about). 
For additional reprex pointers, check out the [Get help!](https://www.tidyverse.org/help/) section of the tidyverse site.

## Where to ask?

Armed with your reprex, the next step is to figure out [where to ask](https://www.tidyverse.org/help/#where-to-ask).

*   If it's a bug: you're in the right place, [file an issue](https://github.com/JamesHWade/gptstudio/issues/new).  

*   If it's a question: if you are sure it's from gptstudio and not another R question. Please file an issue. If the package grows in popularity, you may try [Posit Community](https://community.rstudio.com/) or StackOverflow. There are more people there to answer questions.  
  
*   If you're not sure: let the community help you figure it out! 
    If your problem _is_ a bug or a feature request, you can easily return here and report it. 

Before opening a new issue, be sure to [search issues and pull requests](https://github.com/JamesHWade/gptstudio/issues) to make sure the bug hasn't been reported and/or already fixed in the development version. 
By default, the search will be pre-populated with `is:issue is:open`. 
You can [edit the qualifiers](https://help.github.com/articles/searching-issues-and-pull-requests/)  (e.g. `is:pr`, `is:closed`) as needed. 
For example, you'd simply remove `is:open` to search _all_ issues in the repo, open or closed.
